package com.xmomen.module.user.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.user.entity.SysUsers;
import com.xmomen.module.user.entity.SysUsersExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper，用于操作SysUsers实体
public interface SysUsersMapper extends MybatisMapper {
    // 根据条件统计SysUsers的数量
    int countByExample(SysUsersExample example);

    // 根据条件删除SysUsers
    int deleteByExample(SysUsersExample example);

    // 插入SysUsers
    int insertSelective(SysUsers record);

    // 根据条件更新SysUsers
    int updateByExampleSelective(@Param("record") SysUsers record, @Param("example") SysUsersExample example);
}